Bug 844784 - SElinux Policy for Spampd
SElinux Policy for Spampd
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-31 14:42 EDT by Manuel Schilt
Modified: 2012-11-19 21:59 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-19 21:59:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Archive with policy module for spampd (1.47 KB, application/x-bzip)
2012-07-31 14:42 EDT, Manuel Schilt
no flags Details

  None (edit)
Description Manuel Schilt 2012-07-31 14:42:27 EDT
Created attachment 601565 [details]
Archive with policy module for spampd

I created a SELinux Policy module for Spampd

Tested with the following packages:
spampd-2.30-10.noarch
spamassassin-3.3.2-9.fc16.x86_64
postfix-2.8.11-1.fc16.x86_64



Notes:
1. Add 
 network_port(spampd,tcp,10026,s0) and  
 network_port(spampd,tcp,10027,s0) 
to corenetwork definition

or run these commands: 
       semanage port -a -t spampd_port_t -p tcp 10026
       semanage port -a -t spampd_port_t -p tcp 10027
.. after the module is loaded otherwise type is not resolved

2. Add these rules to the postfix policy:

# connect to spampd
allow postfix_smtpd_t spampd_port_t:tcp_socket name_connect;

# filtering with spampd before postfix accepts mail
allow postfix_master_t spampd_port_t:tcp_socket name_bind;
Comment 1 Miroslav Grepl 2012-08-01 02:43:02 EDT
Thank you for this  local policy with your description.

Fixed in selinux-policy-3.10.0-91.fc16
Comment 2 Fedora Update System 2012-11-13 13:31:34 EST
selinux-policy-3.10.0-96.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-96.fc16
Comment 3 Fedora Update System 2012-11-14 21:43:59 EST
Package selinux-policy-3.10.0-96.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-96.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-18243/selinux-policy-3.10.0-96.fc16
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-11-19 21:59:24 EST
selinux-policy-3.10.0-96.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.